* {
  box-sizing: border-box;
}
.container {
  padding: 0 15px;
  margin: auto;
  max-width: 1280px;
}
body {
  min-width: 375px;
  margin: 0;
}

.wrapper {
  min-height: 100vh;
  display: grid;
  grid-template-columns: repeat(14, 1fr);
  grid-template-rows: 100px 1fr 150px;
}
.header {
  background-color: brown;
  grid-column: 1 / 15;
  grid-row: 1;
}
.aside {
  background-color: yellow;
  grid-column: 1 / 4;
  grid-row: 2;
}
.main {
  background-color: blue;
  grid-column: 4 / 15;
  grid-row: 2;
  display: flex;
  justify-content: center; 
  align-items: center;
}
.footer {
  background-color: green;
  grid-column: 1 / 15;
  grid-row: 3;
}
.container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 30px;
  padding: 30px;
  width: 100%;
}
.article {
  background-color: orange;
  min-height: 250px;
}
@media (width <= 992px) {
  .aside {
    grid-column: 1 / 5;
  }
  .main {
    grid-column: 5 / 15;
  }
  .container {
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
  }
}
@media (width <= 768px){
  .container {
    grid-template-columns: 1fr 1fr ;
    gap: 20px;
  }
}
@media (width <= 576px){
     .aside {
    grid-column: 0;
  }
  .main {
    grid-column: 1 / 15;
  }
  .container {
    grid-template-columns: 1fr ;
    gap: 10px;
  }
}
